io.vertx.tracing.zipkin

## Class HttpSenderOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.net.ClientOptionsBase
      - - io.vertx.core.http.HttpClientOptions
        - - io.vertx.tracing.zipkin.HttpSenderOptions

-     public class HttpSenderOptions
      extends HttpClientOptions

  Options for reporting to a Zipkin server configured by default to `http://localhost:9411/api/v2/spans`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_SENDER_ENDPOINT`

    - ### Fields inherited from class io.vertx.core.http.HttpClientOptions

      `DEFAULT_ALPN_VERSIONS, DEFAULT_DECODER_INITIAL_BUFFER_SIZE, DEFAULT_DECOMPRESSION_SUPPORTED, DEFAULT_DEFAULT_HOST, DEFAULT_DEFAULT_PORT, DEFAULT_FORCE_SNI, DEFAULT_HTTP2_CLEAR_TEXT_UPGRADE, DEFAULT_HTTP2_CLEAR_TEXT_UPGRADE_WITH_PREFLIGHT_REQUEST, DEFAULT_HTTP2_CONNECTION_WINDOW_SIZE, DEFAULT_HTTP2_KEEP_ALIVE_TIMEOUT, DEFAULT_HTTP2_MAX_POOL_SIZE, DEFAULT_HTTP2_MULTIPLEXING_LIMIT, DEFAULT_KEEP_ALIVE, DEFAULT_KEEP_ALIVE_TIMEOUT, DEFAULT_MAX_CHUNK_SIZE, DEFAULT_MAX_HEADER_SIZE, DEFAULT_MAX_INITIAL_LINE_LENGTH, DEFAULT_MAX_POOL_SIZE, DEFAULT_MAX_REDIRECTS, DEFAULT_MAX_WAIT_QUEUE_SIZE, DEFAULT_MAX_WEBSOCKET_FRAME_SIZE, DEFAULT_MAX_WEBSOCKET_MESSAGE_SIZE, DEFAULT_MAX_WEBSOCKETS, DEFAULT_NAME, DEFAULT_PIPELINING, DEFAULT_PIPELINING_LIMIT, DEFAULT_POOL_CLEANER_PERIOD, DEFAULT_POOL_EVENT_LOOP_SIZE, DEFAULT_PROTOCOL_VERSION, DEFAULT_SEND_UNMASKED_FRAMES, DEFAULT_SHARED, DEFAULT_TRACING_POLICY, DEFAULT_TRY_USE_COMPRESSION, DEFAULT_TRY_USE_PER_FRAME_WEBSOCKET_COMPRESSION, DEFAULT_TRY_USE_PER_MESSAGE_WEBSOCKET_COMPRESSION, DEFAULT_VERIFY_HOST, DEFAULT_WEBSOCKET_ALLOW_CLIENT_NO_CONTEXT, DEFAULT_WEBSOCKET_CLOSING_TIMEOUT, DEFAULT_WEBSOCKET_COMPRESSION_LEVEL, DEFAULT_WEBSOCKET_REQUEST_SERVER_NO_CONTEXT`

    - ### Fields inherited from class io.vertx.core.net.ClientOptionsBase

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_METRICS_NAME, DEFAULT_TRUST_ALL`

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_ENABLED_SECURE_TRANSPORT_PROTOCOLS, DEFAULT_IDLE_TIMEOUT, DEFAULT_IDLE_TIMEOUT_TIME_UNIT, DEFAULT_READ_IDLE_TIMEOUT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_SSL_ENGINE, DEFAULT_SSL_HANDSHAKE_TIMEOUT, DEFAULT_SSL_HANDSHAKE_TIMEOUT_TIME_UNIT, DEFAULT_TCP_CORK, DEFAULT_TCP_FAST_OPEN, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_TCP_QUICKACK, DEFAULT_TCP_USER_TIMEOUT, DEFAULT_USE_ALPN, DEFAULT_WRITE_IDLE_TIMEOUT`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ACTIVITY_FORMAT, DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_REUSE_PORT, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSenderOptions()`
    `HttpSenderOptions(HttpSenderOptions other)`
    `HttpSenderOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpSenderOptions` | `addCrlPath(String crlPath)` Add a CRL path
    `HttpSenderOptions` | `addCrlValue(Buffer crlValue)` Add a CRL value
    `HttpSenderOptions` | `addEnabledCipherSuite(String suite)` Add an enabled cipher suite, appended to the ordered suites.
    `HttpSenderOptions` | `addEnabledSecureTransportProtocol(String protocol)` Add an enabled SSL/TLS protocols, appended to the ordered protocols.
    `String` | `getSenderEndpoint()`
    `HttpSenderOptions` | `removeEnabledSecureTransportProtocol(String protocol)` Removes an enabled SSL/TLS protocol from the ordered protocols.
    `HttpSenderOptions` | `setAlpnVersions(List<HttpVersion> alpnVersions)` Set the list of protocol versions to provide to the server during the Application-Layer Protocol Negotiation.
    `HttpSenderOptions` | `setConnectTimeout(int connectTimeout)` Set the connect timeout
    `HttpSenderOptions` | `setDecoderInitialBufferSize(int decoderInitialBufferSize)` set to `initialBufferSizeHttpDecoder` the initial buffer of the HttpDecoder.
    `HttpSenderOptions` | `setDecompressionSupported(boolean decompressionSupported)` Whether the client should send requests with an `accepting-encoding` header set to a compression algorithm.
    `HttpSenderOptions` | `setDefaultHost(String defaultHost)` Set the default host name to be used by this client in requests if none is provided when making the request.
    `HttpSenderOptions` | `setDefaultPort(int defaultPort)` Set the default port to be used by this client in requests if none is provided when making the request.
    `HttpSenderOptions` | `setEnabledSecureTransportProtocols(Set<String> enabledSecureTransportProtocols)` Sets the list of enabled SSL/TLS protocols.
    `HttpSenderOptions` | `setForceSni(boolean forceSni)` By default, the server name is only sent for Fully Qualified Domain Name (FQDN), setting this property to `true` forces the server name to be always sent.
    `HttpSenderOptions` | `setHttp2ClearTextUpgrade(boolean value)` Set to `true` when an h2c connection is established using an HTTP/1.1 upgrade request, and `false` when an h2c connection is established directly (with prior knowledge).
    `HttpSenderOptions` | `setHttp2ConnectionWindowSize(int http2ConnectionWindowSize)` Set the default HTTP/2 connection window size.
    `HttpSenderOptions` | `setHttp2KeepAliveTimeout(int keepAliveTimeout)` Set the keep alive timeout for HTTP/2 connections, in seconds.
    `HttpSenderOptions` | `setHttp2MaxPoolSize(int max)` Set the maximum pool size for HTTP/2 connections
    `HttpSenderOptions` | `setHttp2MultiplexingLimit(int limit)` Set a client limit of the number concurrent streams for each HTTP/2 connection, this limits the number of streams the client can create for a connection.
    `HttpSenderOptions` | `setIdleTimeout(int idleTimeout)` Set the idle timeout, default time unit is seconds.
    `HttpSenderOptions` | `setIdleTimeoutUnit(TimeUnit idleTimeoutUnit)` Set the idle timeout unit.
    `HttpSenderOptions` | `setInitialSettings(Http2Settings settings)` Set the HTTP/2 connection settings immediately sent by to the server when the client connects.
    `HttpSenderOptions` | `setJdkSslEngineOptions(JdkSSLEngineOptions sslEngineOptions)`
    `HttpSenderOptions` | `setKeepAlive(boolean keepAlive)` Set whether keep alive is enabled on the client
    `HttpSenderOptions` | `setKeepAliveTimeout(int keepAliveTimeout)` Set the keep alive timeout for HTTP/1.x, in seconds.
    `HttpSenderOptions` | `setKeyCertOptions(KeyCertOptions options)` Set the key/cert options.
    `HttpSenderOptions` | `setKeyStoreOptions(JksOptions options)` Set the key/cert options in jks format, aka Java keystore.
    `HttpSenderOptions` | `setLocalAddress(String localAddress)` Set the local interface to bind for network connections.
    `HttpSenderOptions` | `setLogActivity(boolean logEnabled)` Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.
    `HttpSenderOptions` | `setMaxChunkSize(int maxChunkSize)` Set the maximum HTTP chunk size
    `HttpSenderOptions` | `setMaxHeaderSize(int maxHeaderSize)` Set the maximum length of all headers for HTTP/1.x .
    `HttpSenderOptions` | `setMaxInitialLineLength(int maxInitialLineLength)` Set the maximum length of the initial line for HTTP/1.x (e.g.
    `HttpSenderOptions` | `setMaxPoolSize(int maxPoolSize)` Set the maximum pool size for connections
    `HttpSenderOptions` | `setMaxRedirects(int maxRedirects)` Set to `maxRedirects` the maximum number of redirection a request can follow.
    `HttpSenderOptions` | `setMaxWaitQueueSize(int maxWaitQueueSize)` Set the maximum requests allowed in the wait queue, any requests beyond the max size will result in a ConnectionPoolTooBusyException.
    `HttpSenderOptions` | `setMaxWebSocketFrameSize(int maxWebsocketFrameSize)` Set the max WebSocket frame size
    `HttpSenderOptions` | `setMaxWebSocketMessageSize(int maxWebsocketMessageSize)` Set the max WebSocket message size
    `HttpSenderOptions` | `setMetricsName(String metricsName)` Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
    `HttpSenderOptions` | `setOpenSslEngineOptions(OpenSSLEngineOptions sslEngineOptions)`
    `HttpSenderOptions` | `setPemKeyCertOptions(PemKeyCertOptions options)` Set the key/cert store options in pem format.
    `HttpSenderOptions` | `setPemTrustOptions(PemTrustOptions options)` Set the trust options in pem format
    `HttpSenderOptions` | `setPfxKeyCertOptions(PfxOptions options)` Set the key/cert options in pfx format.
    `HttpSenderOptions` | `setPfxTrustOptions(PfxOptions options)` Set the trust options in pfx format
    `HttpSenderOptions` | `setPipelining(boolean pipelining)` Set whether pipe-lining is enabled on the client
    `HttpSenderOptions` | `setPipeliningLimit(int limit)` Set the limit of pending requests a pipe-lined HTTP/1 connection can send.
    `HttpSenderOptions` | `setPoolCleanerPeriod(int poolCleanerPeriod)` Set the connection pool cleaner period in milli seconds, a non positive value disables expiration checks and connections will remain in the pool until they are closed.
    `HttpSenderOptions` | `setProtocolVersion(HttpVersion protocolVersion)` Set the protocol version.
    `HttpSenderOptions` | `setProxyOptions(ProxyOptions proxyOptions)` Set proxy options for connections via CONNECT proxy (e.g.
    `HttpSenderOptions` | `setReceiveBufferSize(int receiveBufferSize)` Set the TCP receive buffer size
    `HttpSenderOptions` | `setReuseAddress(boolean reuseAddress)` Set the value of reuse address
    `HttpSenderOptions` | `setReusePort(boolean reusePort)` Set the value of reuse port.
    `HttpSenderOptions` | `setSendBufferSize(int sendBufferSize)` Set the TCP send buffer size
    `HttpSenderOptions` | `setSenderEndpoint(String endpoint)`
    `HttpSenderOptions` | `setSendUnmaskedFrames(boolean sendUnmaskedFrames)` Set `true` when the client wants to skip frame masking.
    `HttpSenderOptions` | `setSoLinger(int soLinger)` Set whether SO_linger keep alive is enabled
    `HttpSenderOptions` | `setSsl(boolean ssl)` Set whether SSL/TLS is enabled
    `HttpSenderOptions` | `setSslEngineOptions(SSLEngineOptions sslEngineOptions)` Set to use SSL engine implementation to use.
    `HttpSenderOptions` | `setTcpCork(boolean tcpCork)` Enable the `TCP_CORK` option - only with linux native transport.
    `HttpSenderOptions` | `setTcpFastOpen(boolean tcpFastOpen)` Enable the `TCP_FASTOPEN` option - only with linux native transport.
    `HttpSenderOptions` | `setTcpKeepAlive(boolean tcpKeepAlive)` Set whether TCP keep alive is enabled
    `HttpSenderOptions` | `setTcpNoDelay(boolean tcpNoDelay)` Set whether TCP no delay is enabled
    `HttpSenderOptions` | `setTcpQuickAck(boolean tcpQuickAck)` Enable the `TCP_QUICKACK` option - only with linux native transport.
    `HttpSenderOptions` | `setTrafficClass(int trafficClass)` Set the value of traffic class
    `HttpSenderOptions` | `setTrustAll(boolean trustAll)` Set whether all server certificates should be trusted
    `HttpSenderOptions` | `setTrustOptions(TrustOptions options)` Set the trust options.
    `HttpSenderOptions` | `setTrustStoreOptions(JksOptions options)` Set the trust options in jks format, aka Java truststore
    `HttpSenderOptions` | `setTryUseCompression(boolean tryUseCompression)` Deprecated.
    `HttpSenderOptions` | `setTryUsePerFrameWebSocketCompression(boolean offer)` Set whether the client will offer the WebSocket per-frame deflate compression extension.
    `HttpSenderOptions` | `setTryUsePerMessageWebSocketCompression(boolean offer)` Set whether the client will offer the WebSocket per-message deflate compression extension.
    `HttpSenderOptions` | `setUseAlpn(boolean useAlpn)` Set the ALPN usage.
    `HttpSenderOptions` | `setVerifyHost(boolean verifyHost)` Set whether hostname verification is enabled
    `HttpSenderOptions` | `setWebSocketCompressionAllowClientNoContext(boolean offer)` Set whether the `client_no_context_takeover` parameter of the WebSocket per-message deflate compression extension will be offered.
    `HttpSenderOptions` | `setWebSocketCompressionLevel(int compressionLevel)` Set the WebSocket deflate compression level.
    `HttpSenderOptions` | `setWebSocketCompressionRequestServerNoContext(boolean offer)` Set whether the `server_no_context_takeover` parameter of the WebSocket per-message deflate compression extension will be offered.

    - ### Methods inherited from class io.vertx.core.http.HttpClientOptions

      `addNonProxyHost, getAlpnVersions, getDecoderInitialBufferSize, getDefaultHost, getDefaultPort, getHttp2ConnectionWindowSize, getHttp2KeepAliveTimeout, getHttp2MaxPoolSize, getHttp2MultiplexingLimit, getInitialSettings, getKeepAliveTimeout, getMaxChunkSize, getMaxHeaderSize, getMaxInitialLineLength, getMaxPoolSize, getMaxRedirects, getMaxWaitQueueSize, getMaxWebSocketFrameSize, getMaxWebSocketMessageSize, getMaxWebSockets, getName, getPipeliningLimit, getPoolCleanerPeriod, getPoolEventLoopSize, getPoolOptions, getProtocolVersion, getTracingPolicy, getTryUsePerFrameWebSocketCompression, getTryUsePerMessageWebSocketCompression, getTryWebSocketDeflateFrameCompression, getWebSocketClosingTimeout, getWebSocketCompressionAllowClientNoContext, getWebSocketCompressionLevel, getWebSocketCompressionRequestServerNoContext, isDecompressionSupported, isForceSni, isHttp2ClearTextUpgrade, isHttp2ClearTextUpgradeWithPreflightRequest, isKeepAlive, isPipelining, isSendUnmaskedFrames, isShared, isTryUseCompression, isVerifyHost, removeEnabledCipherSuite, setActivityLogDataFormat, setHttp2ClearTextUpgradeWithPreflightRequest, setMaxWebSockets, setName, setNonProxyHosts, setPoolEventLoopSize, setReadIdleTimeout, setShared, setSslHandshakeTimeout, setSslHandshakeTimeoutUnit, setTcpUserTimeout, setTracingPolicy, setWebSocketClosingTimeout, setWriteIdleTimeout, toJson`

    - ### Methods inherited from class io.vertx.core.net.ClientOptionsBase

      `getConnectTimeout, getLocalAddress, getMetricsName, getNonProxyHosts, getProxyOptions, isTrustAll`

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getIdleTimeoutUnit, getJdkSslEngineOptions, getKeyCertOptions, getKeyStoreOptions, getOpenSslEngineOptions, getPemKeyCertOptions, getPemTrustOptions, getPfxKeyCertOptions, getPfxTrustOptions, getReadIdleTimeout, getSoLinger, getSslEngineOptions, getSslHandshakeTimeout, getSslHandshakeTimeoutUnit, getSslOptions, getTcpUserTimeout, getTrustOptions, getTrustStoreOptions, getWriteIdleTimeout, isSsl, isTcpCork, isTcpFastOpen, isTcpKeepAlive, isTcpNoDelay, isTcpQuickAck, isUseAlpn`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getActivityLogDataFormat, getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress, isReusePort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SENDER_ENDPOINT

          public static final String DEFAULT_SENDER_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpSenderOptions

          public HttpSenderOptions()

    - #### HttpSenderOptions

          public HttpSenderOptions(HttpSenderOptions other)

    - #### HttpSenderOptions

          public HttpSenderOptions(JsonObject json)

  - ### Method Detail

    - #### getSenderEndpoint

          public String getSenderEndpoint()

      Returns:

    - #### setSenderEndpoint

          public HttpSenderOptions setSenderEndpoint(String endpoint)

    - #### setSendBufferSize

          public HttpSenderOptions setSendBufferSize(int sendBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP send buffer size
      Overrides:
        `setSendBufferSize` in class `HttpClientOptions`
      Parameters:
        `sendBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReceiveBufferSize

          public HttpSenderOptions setReceiveBufferSize(int receiveBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP receive buffer size
      Overrides:
        `setReceiveBufferSize` in class `HttpClientOptions`
      Parameters:
        `receiveBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReuseAddress

          public HttpSenderOptions setReuseAddress(boolean reuseAddress)

      Description copied from class: `NetworkOptions`
      Set the value of reuse address
      Overrides:
        `setReuseAddress` in class `HttpClientOptions`
      Parameters:
        `reuseAddress` - the value of reuse address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReusePort

          public HttpSenderOptions setReusePort(boolean reusePort)

      Description copied from class: `NetworkOptions`
      Set the value of reuse port.

      This is only supported by native transports.
      Overrides:
        `setReusePort` in class `HttpClientOptions`
      Parameters:
        `reusePort` - the value of reuse port
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrafficClass

          public HttpSenderOptions setTrafficClass(int trafficClass)

      Description copied from class: `NetworkOptions`
      Set the value of traffic class
      Overrides:
        `setTrafficClass` in class `HttpClientOptions`
      Parameters:
        `trafficClass` - the value of traffic class
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpNoDelay

          public HttpSenderOptions setTcpNoDelay(boolean tcpNoDelay)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP no delay is enabled
      Overrides:
        `setTcpNoDelay` in class `HttpClientOptions`
      Parameters:
        `tcpNoDelay` - true if TCP no delay is enabled (Nagle disabled)
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpKeepAlive

          public HttpSenderOptions setTcpKeepAlive(boolean tcpKeepAlive)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP keep alive is enabled
      Overrides:
        `setTcpKeepAlive` in class `HttpClientOptions`
      Parameters:
        `tcpKeepAlive` - true if TCP keep alive is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSoLinger

          public HttpSenderOptions setSoLinger(int soLinger)

      Description copied from class: `TCPSSLOptions`
      Set whether SO_linger keep alive is enabled
      Overrides:
        `setSoLinger` in class `HttpClientOptions`
      Parameters:
        `soLinger` - true if SO_linger is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeout

          public HttpSenderOptions setIdleTimeout(int idleTimeout)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received nor sent within the timeout. If you want change default time unit, use `TCPSSLOptions.setIdleTimeoutUnit(TimeUnit)`
      Overrides:
        `setIdleTimeout` in class `HttpClientOptions`
      Parameters:
        `idleTimeout` - the timeout
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeoutUnit

          public HttpSenderOptions setIdleTimeoutUnit(TimeUnit idleTimeoutUnit)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout unit. If not specified, default is seconds.
      Overrides:
        `setIdleTimeoutUnit` in class `HttpClientOptions`
      Parameters:
        `idleTimeoutUnit` - specify time unit.
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSsl

          public HttpSenderOptions setSsl(boolean ssl)

      Description copied from class: `TCPSSLOptions`
      Set whether SSL/TLS is enabled
      Overrides:
        `setSsl` in class `HttpClientOptions`
      Parameters:
        `ssl` - true if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyCertOptions

          public HttpSenderOptions setKeyCertOptions(KeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options.
      Overrides:
        `setKeyCertOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the key store options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyStoreOptions

          public HttpSenderOptions setKeyStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in jks format, aka Java keystore.
      Overrides:
        `setKeyStoreOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the key store in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxKeyCertOptions

          public HttpSenderOptions setPfxKeyCertOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in pfx format.
      Overrides:
        `setPfxKeyCertOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the key cert options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustOptions

          public HttpSenderOptions setTrustOptions(TrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options.
      Overrides:
        `setTrustOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the trust options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemKeyCertOptions

          public HttpSenderOptions setPemKeyCertOptions(PemKeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert store options in pem format.
      Overrides:
        `setPemKeyCertOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustStoreOptions

          public HttpSenderOptions setTrustStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in jks format, aka Java truststore
      Overrides:
        `setTrustStoreOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the trust options in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxTrustOptions

          public HttpSenderOptions setPfxTrustOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pfx format
      Overrides:
        `setPfxTrustOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the trust options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemTrustOptions

          public HttpSenderOptions setPemTrustOptions(PemTrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pem format
      Overrides:
        `setPemTrustOptions` in class `HttpClientOptions`
      Parameters:
        `options` - the trust options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### addEnabledCipherSuite

          public HttpSenderOptions addEnabledCipherSuite(String suite)

      Description copied from class: `TCPSSLOptions`
      Add an enabled cipher suite, appended to the ordered suites.
      Overrides:
        `addEnabledCipherSuite` in class `HttpClientOptions`
      Parameters:
        `suite` - the suite
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `TCPSSLOptions.getEnabledCipherSuites()`

    - #### addEnabledSecureTransportProtocol

          public HttpSenderOptions addEnabledSecureTransportProtocol(String protocol)

      Description copied from class: `TCPSSLOptions`
      Add an enabled SSL/TLS protocols, appended to the ordered protocols.
      Overrides:
        `addEnabledSecureTransportProtocol` in class `HttpClientOptions`
      Parameters:
        `protocol` - the SSL/TLS protocol to enable
      Returns:
        a reference to this, so the API can be used fluently

    - #### removeEnabledSecureTransportProtocol

          public HttpSenderOptions removeEnabledSecureTransportProtocol(String protocol)

      Description copied from class: `TCPSSLOptions`
      Removes an enabled SSL/TLS protocol from the ordered protocols.
      Overrides:
        `removeEnabledSecureTransportProtocol` in class `HttpClientOptions`
      Parameters:
        `protocol` - the SSL/TLS protocol to disable
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpFastOpen

          public HttpSenderOptions setTcpFastOpen(boolean tcpFastOpen)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_FASTOPEN` option - only with linux native transport.
      Overrides:
        `setTcpFastOpen` in class `HttpClientOptions`
      Parameters:
        `tcpFastOpen` - the fast open value

    - #### setTcpCork

          public HttpSenderOptions setTcpCork(boolean tcpCork)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_CORK` option - only with linux native transport.
      Overrides:
        `setTcpCork` in class `HttpClientOptions`
      Parameters:
        `tcpCork` - the cork value

    - #### setTcpQuickAck

          public HttpSenderOptions setTcpQuickAck(boolean tcpQuickAck)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_QUICKACK` option - only with linux native transport.
      Overrides:
        `setTcpQuickAck` in class `HttpClientOptions`
      Parameters:
        `tcpQuickAck` - the quick ack value

    - #### addCrlPath

          public HttpSenderOptions addCrlPath(String crlPath)
                                       throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL path
      Overrides:
        `addCrlPath` in class `HttpClientOptions`
      Parameters:
        `crlPath` - the path
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### addCrlValue

          public HttpSenderOptions addCrlValue(Buffer crlValue)
                                        throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL value
      Overrides:
        `addCrlValue` in class `HttpClientOptions`
      Parameters:
        `crlValue` - the value
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### setConnectTimeout

          public HttpSenderOptions setConnectTimeout(int connectTimeout)

      Description copied from class: `ClientOptionsBase`
      Set the connect timeout
      Overrides:
        `setConnectTimeout` in class `HttpClientOptions`
      Parameters:
        `connectTimeout` - connect timeout, in ms
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustAll

          public HttpSenderOptions setTrustAll(boolean trustAll)

      Description copied from class: `ClientOptionsBase`
      Set whether all server certificates should be trusted
      Overrides:
        `setTrustAll` in class `HttpClientOptions`
      Parameters:
        `trustAll` - true if all should be trusted
      Returns:
        a reference to this, so the API can be used fluently

    - #### setEnabledSecureTransportProtocols

          public HttpSenderOptions setEnabledSecureTransportProtocols(Set<String> enabledSecureTransportProtocols)

      Description copied from class: `TCPSSLOptions`
      Sets the list of enabled SSL/TLS protocols.
      Overrides:
        `setEnabledSecureTransportProtocols` in class `HttpClientOptions`
      Parameters:
        `enabledSecureTransportProtocols` - the SSL/TLS protocols to enable
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxPoolSize

          public HttpSenderOptions setMaxPoolSize(int maxPoolSize)

      Description copied from class: `HttpClientOptions`
      Set the maximum pool size for connections
      Overrides:
        `setMaxPoolSize` in class `HttpClientOptions`
      Parameters:
        `maxPoolSize` - the maximum pool size
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttp2MultiplexingLimit

          public HttpSenderOptions setHttp2MultiplexingLimit(int limit)

      Description copied from class: `HttpClientOptions`
      Set a client limit of the number concurrent streams for each HTTP/2 connection, this limits the number of streams the client can create for a connection. The effective number of streams for a connection is the min of this value and the server's initial settings.

      Setting the value to `-1` means to use the value sent by the server's initial settings. `-1` is the default value.
      Overrides:
        `setHttp2MultiplexingLimit` in class `HttpClientOptions`
      Parameters:
        `limit` - the maximum concurrent for an HTTP/2 connection
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttp2MaxPoolSize

          public HttpSenderOptions setHttp2MaxPoolSize(int max)

      Description copied from class: `HttpClientOptions`
      Set the maximum pool size for HTTP/2 connections
      Overrides:
        `setHttp2MaxPoolSize` in class `HttpClientOptions`
      Parameters:
        `max` - the maximum pool size
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttp2ConnectionWindowSize

          public HttpSenderOptions setHttp2ConnectionWindowSize(int http2ConnectionWindowSize)

      Description copied from class: `HttpClientOptions`
      Set the default HTTP/2 connection window size. It overrides the initial window size set by `Http2Settings.getInitialWindowSize()`, so the connection window size is greater than for its streams, in order the data throughput.

      A value of `-1` reuses the initial window size setting.
      Overrides:
        `setHttp2ConnectionWindowSize` in class `HttpClientOptions`
      Parameters:
        `http2ConnectionWindowSize` - the window size applied to the connection
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttp2KeepAliveTimeout

          public HttpSenderOptions setHttp2KeepAliveTimeout(int keepAliveTimeout)

      Description copied from class: `HttpClientOptions`
      Set the keep alive timeout for HTTP/2 connections, in seconds.

      This value determines how long a connection remains unused in the pool before being evicted and closed.

      A timeout of `0` means there is no timeout.
      Overrides:
        `setHttp2KeepAliveTimeout` in class `HttpClientOptions`
      Parameters:
        `keepAliveTimeout` - the timeout, in seconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeepAlive

          public HttpSenderOptions setKeepAlive(boolean keepAlive)

      Description copied from class: `HttpClientOptions`
      Set whether keep alive is enabled on the client
      Overrides:
        `setKeepAlive` in class `HttpClientOptions`
      Parameters:
        `keepAlive` - `true` if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeepAliveTimeout

          public HttpSenderOptions setKeepAliveTimeout(int keepAliveTimeout)

      Description copied from class: `HttpClientOptions`
      Set the keep alive timeout for HTTP/1.x, in seconds.

      This value determines how long a connection remains unused in the pool before being evicted and closed.

      A timeout of `0` means there is no timeout.
      Overrides:
        `setKeepAliveTimeout` in class `HttpClientOptions`
      Parameters:
        `keepAliveTimeout` - the timeout, in seconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPipelining

          public HttpSenderOptions setPipelining(boolean pipelining)

      Description copied from class: `HttpClientOptions`
      Set whether pipe-lining is enabled on the client
      Overrides:
        `setPipelining` in class `HttpClientOptions`
      Parameters:
        `pipelining` - `true` if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPipeliningLimit

          public HttpSenderOptions setPipeliningLimit(int limit)

      Description copied from class: `HttpClientOptions`
      Set the limit of pending requests a pipe-lined HTTP/1 connection can send.
      Overrides:
        `setPipeliningLimit` in class `HttpClientOptions`
      Parameters:
        `limit` - the limit of pending requests
      Returns:
        a reference to this, so the API can be used fluently

    - #### setVerifyHost

          public HttpSenderOptions setVerifyHost(boolean verifyHost)

      Description copied from class: `HttpClientOptions`
      Set whether hostname verification is enabled
      Overrides:
        `setVerifyHost` in class `HttpClientOptions`
      Parameters:
        `verifyHost` - `true` if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTryUseCompression

          @Deprecated
          public HttpSenderOptions setTryUseCompression(boolean tryUseCompression)

      Deprecated.
      Description copied from class: `HttpClientOptions`
      Set whether compression is enabled
      Overrides:
        `setTryUseCompression` in class `HttpClientOptions`
      Parameters:
        `tryUseCompression` - `true` if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDecompressionSupported

          public HttpSenderOptions setDecompressionSupported(boolean decompressionSupported)

      Description copied from class: `HttpClientOptions`
      Whether the client should send requests with an `accepting-encoding` header set to a compression algorithm.
      Overrides:
        `setDecompressionSupported` in class `HttpClientOptions`
      Parameters:
        `decompressionSupported` - `true` if the client should send a request with an `accepting-encoding` header set to a compression algorithm, `false` otherwise
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSendUnmaskedFrames

          public HttpSenderOptions setSendUnmaskedFrames(boolean sendUnmaskedFrames)

      Description copied from class: `HttpClientOptions`
      Set `true` when the client wants to skip frame masking.

      You may want to set it `true` on server by server WebSocket communication: in this case you are by passing RFC6455 protocol.

      It's `false` as default.

      Overrides:
        `setSendUnmaskedFrames` in class `HttpClientOptions`
      Parameters:
        `sendUnmaskedFrames` - true if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxWebSocketFrameSize

          public HttpSenderOptions setMaxWebSocketFrameSize(int maxWebsocketFrameSize)

      Description copied from class: `HttpClientOptions`
      Set the max WebSocket frame size
      Overrides:
        `setMaxWebSocketFrameSize` in class `HttpClientOptions`
      Parameters:
        `maxWebsocketFrameSize` - the max frame size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxWebSocketMessageSize

          public HttpSenderOptions setMaxWebSocketMessageSize(int maxWebsocketMessageSize)

      Description copied from class: `HttpClientOptions`
      Set the max WebSocket message size
      Overrides:
        `setMaxWebSocketMessageSize` in class `HttpClientOptions`
      Parameters:
        `maxWebsocketMessageSize` - the max message size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDefaultHost

          public HttpSenderOptions setDefaultHost(String defaultHost)

      Description copied from class: `HttpClientOptions`
      Set the default host name to be used by this client in requests if none is provided when making the request.
      Overrides:
        `setDefaultHost` in class `HttpClientOptions`
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDefaultPort

          public HttpSenderOptions setDefaultPort(int defaultPort)

      Description copied from class: `HttpClientOptions`
      Set the default port to be used by this client in requests if none is provided when making the request.
      Overrides:
        `setDefaultPort` in class `HttpClientOptions`
      Returns:
        a reference to this, so the API can be used fluently

    - #### setProtocolVersion

          public HttpSenderOptions setProtocolVersion(HttpVersion protocolVersion)

      Description copied from class: `HttpClientOptions`
      Set the protocol version.
      Overrides:
        `setProtocolVersion` in class `HttpClientOptions`
      Parameters:
        `protocolVersion` - the protocol version
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxChunkSize

          public HttpSenderOptions setMaxChunkSize(int maxChunkSize)

      Description copied from class: `HttpClientOptions`
      Set the maximum HTTP chunk size
      Overrides:
        `setMaxChunkSize` in class `HttpClientOptions`
      Parameters:
        `maxChunkSize` - the maximum chunk size
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxInitialLineLength

          public HttpSenderOptions setMaxInitialLineLength(int maxInitialLineLength)

      Description copied from class: `HttpClientOptions`
      Set the maximum length of the initial line for HTTP/1.x (e.g. `"HTTP/1.1 200 OK"`)
      Overrides:
        `setMaxInitialLineLength` in class `HttpClientOptions`
      Parameters:
        `maxInitialLineLength` - the new maximum initial length
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxHeaderSize

          public HttpSenderOptions setMaxHeaderSize(int maxHeaderSize)

      Description copied from class: `HttpClientOptions`
      Set the maximum length of all headers for HTTP/1.x .
      Overrides:
        `setMaxHeaderSize` in class `HttpClientOptions`
      Parameters:
        `maxHeaderSize` - the new maximum length
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxWaitQueueSize

          public HttpSenderOptions setMaxWaitQueueSize(int maxWaitQueueSize)

      Description copied from class: `HttpClientOptions`
      Set the maximum requests allowed in the wait queue, any requests beyond the max size will result in a ConnectionPoolTooBusyException. If the value is set to a negative number then the queue will be unbounded.
      Overrides:
        `setMaxWaitQueueSize` in class `HttpClientOptions`
      Parameters:
        `maxWaitQueueSize` - the maximum number of waiting requests
      Returns:
        a reference to this, so the API can be used fluently

    - #### setInitialSettings

          public HttpSenderOptions setInitialSettings(Http2Settings settings)

      Description copied from class: `HttpClientOptions`
      Set the HTTP/2 connection settings immediately sent by to the server when the client connects.
      Overrides:
        `setInitialSettings` in class `HttpClientOptions`
      Parameters:
        `settings` - the settings value
      Returns:
        a reference to this, so the API can be used fluently

    - #### setUseAlpn

          public HttpSenderOptions setUseAlpn(boolean useAlpn)

      Description copied from class: `TCPSSLOptions`
      Set the ALPN usage.
      Overrides:
        `setUseAlpn` in class `HttpClientOptions`
      Parameters:
        `useAlpn` - true when Application-Layer Protocol Negotiation should be used

    - #### setSslEngineOptions

          public HttpSenderOptions setSslEngineOptions(SSLEngineOptions sslEngineOptions)

      Description copied from class: `TCPSSLOptions`
      Set to use SSL engine implementation to use.
      Overrides:
        `setSslEngineOptions` in class `HttpClientOptions`
      Parameters:
        `sslEngineOptions` - the ssl engine to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### setJdkSslEngineOptions

          public HttpSenderOptions setJdkSslEngineOptions(JdkSSLEngineOptions sslEngineOptions)

      Overrides:
        `setJdkSslEngineOptions` in class `HttpClientOptions`

    - #### setOpenSslEngineOptions

          public HttpSenderOptions setOpenSslEngineOptions(OpenSSLEngineOptions sslEngineOptions)

      Overrides:
        `setOpenSslEngineOptions` in class `HttpClientOptions`

    - #### setAlpnVersions

          public HttpSenderOptions setAlpnVersions(List<HttpVersion> alpnVersions)

      Description copied from class: `HttpClientOptions`
      Set the list of protocol versions to provide to the server during the Application-Layer Protocol Negotiation. When the list is empty, the client provides a best effort list according to `HttpClientOptions.setProtocolVersion(io.vertx.core.http.HttpVersion)`:
      - `HttpVersion.HTTP_2`: [ "h2", "http/1.1" ]
      - otherwise: [`HttpClientOptions.getProtocolVersion()`]
      Overrides:
        `setAlpnVersions` in class `HttpClientOptions`
      Parameters:
        `alpnVersions` - the versions
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttp2ClearTextUpgrade

          public HttpSenderOptions setHttp2ClearTextUpgrade(boolean value)

      Description copied from class: `HttpClientOptions`
      Set to `true` when an h2c connection is established using an HTTP/1.1 upgrade request, and `false` when an h2c connection is established directly (with prior knowledge).
      Overrides:
        `setHttp2ClearTextUpgrade` in class `HttpClientOptions`
      Parameters:
        `value` - the upgrade value
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxRedirects

          public HttpSenderOptions setMaxRedirects(int maxRedirects)

      Description copied from class: `HttpClientOptions`
      Set to `maxRedirects` the maximum number of redirection a request can follow.
      Overrides:
        `setMaxRedirects` in class `HttpClientOptions`
      Parameters:
        `maxRedirects` - the maximum number of redirection
      Returns:
        a reference to this, so the API can be used fluently

    - #### setForceSni

          public HttpSenderOptions setForceSni(boolean forceSni)

      Description copied from class: `HttpClientOptions`
      By default, the server name is only sent for Fully Qualified Domain Name (FQDN), setting this property to `true` forces the server name to be always sent.
      Overrides:
        `setForceSni` in class `HttpClientOptions`
      Parameters:
        `forceSni` - `true` when the client should always use SNI on TLS/SSL connections
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMetricsName

          public HttpSenderOptions setMetricsName(String metricsName)

      Description copied from class: `ClientOptionsBase`
      Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
      Overrides:
        `setMetricsName` in class `HttpClientOptions`
      Parameters:
        `metricsName` - the metrics name
      Returns:
        a reference to this, so the API can be used fluently

    - #### setProxyOptions

          public HttpSenderOptions setProxyOptions(ProxyOptions proxyOptions)

      Description copied from class: `ClientOptionsBase`
      Set proxy options for connections via CONNECT proxy (e.g. Squid) or a SOCKS proxy.
      Overrides:
        `setProxyOptions` in class `HttpClientOptions`
      Parameters:
        `proxyOptions` - proxy options object
      Returns:
        a reference to this, so the API can be used fluently

    - #### setLocalAddress

          public HttpSenderOptions setLocalAddress(String localAddress)

      Description copied from class: `ClientOptionsBase`
      Set the local interface to bind for network connections. When the local address is null, it will pick any local address, the default local address is null.
      Overrides:
        `setLocalAddress` in class `HttpClientOptions`
      Parameters:
        `localAddress` - the local address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setLogActivity

          public HttpSenderOptions setLogActivity(boolean logEnabled)

      Description copied from class: `NetworkOptions`
      Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.
      Overrides:
        `setLogActivity` in class `HttpClientOptions`
      Parameters:
        `logEnabled` - true for logging the network activity
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTryUsePerFrameWebSocketCompression

          public HttpSenderOptions setTryUsePerFrameWebSocketCompression(boolean offer)

      Description copied from class: `HttpClientOptions`
      Set whether the client will offer the WebSocket per-frame deflate compression extension.
      Overrides:
        `setTryUsePerFrameWebSocketCompression` in class `HttpClientOptions`
      Parameters:
        `offer` - `true` to offer the per-frame deflate compression extension
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTryUsePerMessageWebSocketCompression

          public HttpSenderOptions setTryUsePerMessageWebSocketCompression(boolean offer)

      Description copied from class: `HttpClientOptions`
      Set whether the client will offer the WebSocket per-message deflate compression extension.
      Overrides:
        `setTryUsePerMessageWebSocketCompression` in class `HttpClientOptions`
      Parameters:
        `offer` - `true` to offer the per-message deflate compression extension
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWebSocketCompressionLevel

          public HttpSenderOptions setWebSocketCompressionLevel(int compressionLevel)

      Description copied from class: `HttpClientOptions`
      Set the WebSocket deflate compression level.
      Overrides:
        `setWebSocketCompressionLevel` in class `HttpClientOptions`
      Parameters:
        `compressionLevel` - the WebSocket deflate compression level
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWebSocketCompressionAllowClientNoContext

          public HttpSenderOptions setWebSocketCompressionAllowClientNoContext(boolean offer)

      Description copied from class: `HttpClientOptions`
      Set whether the `client_no_context_takeover` parameter of the WebSocket per-message deflate compression extension will be offered.
      Overrides:
        `setWebSocketCompressionAllowClientNoContext` in class `HttpClientOptions`
      Parameters:
        `offer` - `true` to offer the `client_no_context_takeover` parameter
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWebSocketCompressionRequestServerNoContext

          public HttpSenderOptions setWebSocketCompressionRequestServerNoContext(boolean offer)

      Description copied from class: `HttpClientOptions`
      Set whether the `server_no_context_takeover` parameter of the WebSocket per-message deflate compression extension will be offered.
      Overrides:
        `setWebSocketCompressionRequestServerNoContext` in class `HttpClientOptions`
      Parameters:
        `offer` - `true` to offer the `server_no_context_takeover` parameter
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDecoderInitialBufferSize

          public HttpSenderOptions setDecoderInitialBufferSize(int decoderInitialBufferSize)

      Description copied from class: `HttpClientOptions`
      set to `initialBufferSizeHttpDecoder` the initial buffer of the HttpDecoder.
      Overrides:
        `setDecoderInitialBufferSize` in class `HttpClientOptions`
      Parameters:
        `decoderInitialBufferSize` - the initial buffer size
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPoolCleanerPeriod

          public HttpSenderOptions setPoolCleanerPeriod(int poolCleanerPeriod)

      Description copied from class: `HttpClientOptions`
      Set the connection pool cleaner period in milli seconds, a non positive value disables expiration checks and connections will remain in the pool until they are closed.
      Overrides:
        `setPoolCleanerPeriod` in class `HttpClientOptions`
      Parameters:
        `poolCleanerPeriod` - the pool cleaner period
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2023 Eclipse. All rights reserved.